#!/bin/bash

currentdir=`pwd`


if ! test -f "$currentdir/expeditee-release-kits/rke-setup.sh"; then
	echo ""
	echo "********************"
	echo "First edit $currentdir/expeditee-release-kits/rke-setup.sh.in"
	echo "to generate $currentdir/expeditee-release-kits/rke-setup.sh"
	echo ""
	echo "********************"
	echo ""
	exit -1
else
	# rke-setup uses local paths, so cd into expeditee-release-kits first
	# then call rke-setup.sh to source the environment vars it sets
	pushd "$currentdir/expeditee-release-kits"
	source "rke-setup.sh"
	returnval=$?
	if [ "$returnval" != "0" ]; then
		echo "Error running rke-setup.sh, return value: $returnval"
		popd
		exit -2
	else
		popd

		# Make sure the expeditee folder and its rke-build.properties file exist
		# then run the 'rke' command from snapshots\expeditee
		pushd "$currentdir/snapshots"
		if ! test -d expeditee; then
			mkdir expeditee
		fi
		if ! test -f expeditee/rke-build.properties; then
			cp $currentdir/expeditee-release-kits/rke-build.properties.in expeditee/rke-build.properties
		fi
		pushd expeditee
		rke
		exit 0
	fi
fi